List transactions by account id
curl --request GET \
--url https://api.prod.finverse.net/transactions/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/transactions/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/transactions/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"account_currency": "HKD",
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"account_name": "HKD Checking",
"account_number_masked": "123XXXX89",
"account_type": {
"subtype": "CURRENT",
"type": "DEPOSIT"
},
"balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"created_at": "2024-05-21T03:44:22.000Z",
"group_id": "01HYCM02FECX9GV4WCSH1C7QC1",
"is_closed": false,
"is_excluded": false,
"is_parent": false,
"statement_balance": {
"currency": "HKD",
"raw": "70013.12",
"value": 70013.12
},
"updated_at": "2024-05-21T03:44:22.000Z"
}
],
"institution": {
"countries": [
"HKG",
"IDN",
"MYS",
"PHL",
"SGP",
"THA",
"VNM"
],
"institution_id": "testbank",
"institution_name": "Testbank",
"portal_name": "Testbank Online Banking"
},
"login_identity": {
"last_session_id": "01HYCKZDZ1HPG5B5C96ARX46NA",
"login_identity_id": "01HYCKZDWF7XEZZH3SN9GDMXF7",
"status": "DATA_RETRIEVAL_COMPLETE"
},
"total_transactions": 108,
"transactions": [
{
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"amount": {
"currency": "HKD",
"raw": "523.00",
"value": 523
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "Transfer\nFPS/PILL Jane/FRN20240312PAYC0111547753897",
"is_pending": false,
"posted_date": "2024-11-11",
"running_balance": {
"currency": "HKD",
"raw": "70,013.12",
"value": 70013.12
},
"transaction_details": {
"counterparty_account_number": "01HYCM0QEJKNQEYTHKK6Z4R16Y",
"counterparty_name": "PILL Jane",
"fps_reference": "FRN20240312PAYC0111547753897",
"subtype": "FPS",
"type": "Transfer"
},
"transaction_id": "01HYCM0QH9RAJRGQNQ90CV8DF0",
"transaction_reference": "67891234",
"transaction_time": "2024-11-11T15:28:31.000Z",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"amount": {
"currency": "HKD",
"raw": "-40.00",
"value": -40
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "BAT STARBUCKS@CITY SI NG 25MAY 4628-1234-5678-1234",
"is_pending": false,
"posted_date": "2023-06-30",
"running_balance": {
"currency": "HKD",
"raw": "69,490.12",
"value": 69490.12
},
"transaction_details": null,
"transaction_id": "01HYCM0QHCFRSAZZ0A5KM3G4NM",
"updated_at": "2024-05-21T03:44:02.882Z"
},
{
"account_id": "01HYCM02EGRVHEFNNYP77ENF92",
"amount": {
"currency": "HKD",
"raw": "-200.00",
"value": -200
},
"categories": null,
"category_predictions": null,
"created_at": "2024-05-21T03:44:02.882Z",
"description": "BEST MART 101: Jul_16",
"is_pending": false,
"posted_date": "2022-07-16",
"running_balance": {
"currency": "HKD",
"raw": "69,530.12",
"value": 69530.12
},
"transaction_details": null,
"transaction_id": "01HYCM0QHEPEC98MN9NBDCA47C",
"updated_at": "2024-05-21T03:44:02.882Z"
}
]
}{
"error": {
"code": 40004,
"error_code": "ACCOUNT_NOT_FOUND",
"message": "account_id cannot be found. Resource does not exist, has been deleted, or is no longer accessible.",
"request_id": "{unique_id}",
"type": "API_ERROR"
}
}{
"error": {
"code": 40004,
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR",
"details": "<string>"
}
}Transactions
List transactions by account id
Retrieve all Transactions under an Account (using a specific account_id).
Authorization: login_identity_token
Response fields
Same as GET /transactions. The returned accounts and transactions objects and total_transactions field include only records associated with the specified account_id.
GET
/
transactions
/
{accountId}
List transactions by account id
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The account id (ULID, example - 01EP4A1MZDHKETZFRPF0K62S6S)
Query Parameters
default is 0
default is 500, max is 1000
Required range:
1 <= x <= 1000when true, response will be enriched transactions; otherwise it will be raw transactions